# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Summary:         FreeForm data handler for Hyrax
Name:            dap-freeform_handler
Version:         3.8.2
Release:         alt1_6
License:         LGPLv2+
Group:           System/Servers
Source0:         http://www.opendap.org/pub/source/freeform_handler-%{version}.tar.gz
#libfreeform.a needs to link against -lm
Patch0:          freeform_handler-3.8.1-libm.patch
URL:             http://opendap.org/download/ff_server.html

BuildRequires:   libdap-devel >= 3.11.0
BuildRequires:   bes-devel >= 3.9.0
#For check, doesn't work in rpm
#BuildRequires:   dejagnu
Requires:        bes >= 3.9.0
Source44: import.info

%description 
This is the freeform data handler for the Hyrax data server. It reads ASCII,
binary and DB4 files which have been described using FreeForm and returns DAP
responses that are compatible with DAP2 and the dap-server software. 

%prep 
%setup -q -n freeform_handler-%{version}
%patch0 -p1 -b .libm

%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="install -p"
rm $RPM_BUILD_ROOT%{_libdir}/bes/libff_module.la

%files
%config(noreplace) %{_sysconfdir}/bes/modules/ff.conf
%{_libdir}/bes/libff_module.so
%{_datadir}/hyrax/
%doc COPYING COPYRIGHT NEWS README

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 3.8.2-alt1_6
- update to new release by fcimport

* Wed Dec 19 2012 Igor Vlasenko <viy@altlinux.ru> 3.8.2-alt1_5
- initial fc import

